<?php
class Bulk_Author_Creator {
    public static function create_authors($names) {
        $results = array(
            'success' => array(),
            'failed' => array()
        );

        foreach ($names as $name) {
            $user_data = Bulk_Author_Creator_Generator::generate_user_data($name);
            
            $user_id = wp_insert_user($user_data);
            
            if (is_wp_error($user_id)) {
                $results['failed'][] = array(
                    'name' => $name,
                    'error' => $user_id->get_error_message()
                );
            } else {
                $results['success'][] = array(
                    'name' => $name,
                    'username' => $user_data['user_login'],
                    'email' => $user_data['user_email']
                );
            }
        }

        return $results;
    }
}