<?php
class Bulk_Author_Creator_Generator {
    public static function generate_username($name) {
        $username = sanitize_user(
            strtolower(
                str_replace(' ', '-', $name)
            ),
            true
        );
        
        // Ensure username uniqueness
        $suffix = 1;
        $temp_username = $username;
        while (username_exists($temp_username)) {
            $temp_username = $username . $suffix;
            $suffix++;
        }
        
        return $temp_username;
    }

    public static function generate_email($username) {
        $email = $username . '@' . parse_url(get_site_url(), PHP_URL_HOST);
        
        // Ensure email uniqueness
        $suffix = 1;
        $temp_email = $email;
        while (email_exists($temp_email)) {
            $temp_email = str_replace('@', $suffix . '@', $email);
            $suffix++;
        }
        
        return $temp_email;
    }

    public static function generate_password() {
        return wp_generate_password(16, true, true);
    }

    public static function generate_user_data($name) {
        $username = self::generate_username($name);
        
        return array(
            'user_login' => $username,
            'user_email' => self::generate_email($username),
            'user_pass' => self::generate_password(),
            'display_name' => $name,
            'role' => 'author',
            'show_admin_bar_front' => 'false'
        );
    }
}